stages:
  - build

variables:
  DOCKER_HOST: registry.gitlab.com
  DOCKER_DRIVER: overlay2

build:
  stage: build
  image: docker:git
  services:
    - docker:dind
  variables:
    IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG
    DOCKER_HOST: tcp://docker:2375/
  before_script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
  script:
    - docker build -t $IMAGE_TAG -f ./Dockerfile .
    - docker push $IMAGE_TAG
